<?php defined('_JEXEC') or die('Restricted access'); // no direct access

echo '<style type="text/css">';
include('stylesheet.css');
echo '</style>';
 
require_once('javascript.php');

echo setup_js();

echo '<table cellspacing="0" cellpadding="0" id="pausingNewsflash_table"><tr><td class="pausingNewsflash_title" nowrap="nowrap">'.$module->title.'</td><td class="pausingNewsflash_content" nowrap="nowrap">';

$newsflash_content = array();
$i = 0;
foreach ($items as $item)
{
	$newsflash_content[$i].='<table class="pausingNewsflash_itemTable" cellspacing="0" cellpadding="0"><tr><td class="pausingNewsflash_itemTitle">'.$item->title.'</td><td class="pausingNewsflash_itemDescription">'.$item->introtext.'</td></tr></table>'; 
	$i++;
} 

echo pausing_newsflash_js($newsflash_content);


$delay = 3000; // delay in miliseconds
echo '<div class="pausingScroller"><script type="text/javascript">
new pausescroller(contentArray, "pausingNewsflash", "pausingNewsflash_div", '.$delay.')
</script></div>';

echo '</td></tr></table>'; 
?>